# Interest Rate Model

The borrow and supply APRs for each loan pool are determined by the Terraces adaptive interest rate model. Each borrowable pool has its interest rate model that operates separately from all other borrowable pools, and all lending pools are isolated.

Lif3 uses a "kinked" interest rate model with a single variable parameter (kinkUtilizationRate, ranging from 70% to 90%).

The percentage of tokens provided by lenders to a lending pool that borrowers currently use in existing loans is known as the utilization rate. The borrowing rate (borrowRate), which is based on the borrowable pool's current usage rate (utilizationRate), is established by the following factors:

utilizationRate = 0 implies borrowRate = 0; utilizationRate = kinkUtilizationRate implies borrowRate = kinkBorrowRate; utilizationRate = 100% implies borrowRate = 5 \* kinkBorrowRate.

The previous borrowRate for the borrowable pool is used to update the kinkBorrowRate on a per-second basis between blocks. Doing this ensures that the borrow and supply APRs are calculated in accordance with the supply and demand equilibrium for each loan pool.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.lif3.com/terrace/interest-rate-model.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
